Subject: [Sipping] RE: Review Comments on: draft-ietf-sipping-config-framework-08.txt

From: "Christian Stredicke" <[email-masked]>
Date: Tue, 4 Jul 2006 18:28:23 +0200

There are many small networks that do have DHCP, but the DHCP server can not provide the address of the local SIP proxy. In these cases IMHO we must use a broadcast or multicast detection method where the proxy is. I would suggest trying to send the SUBSCRIBE packet to the multicast address sip.mcast.net (§10.2.6 RFC3261) if the DHCP provisioning method fails. The whole thing then would look like this:

Sent to: 224.0.1.75:5060 (sip.mcast.net)

SUBSCRIBE sip:MAC%3a000413230A07@localhost SIP/2.0
Via: SIP/2.0/UDP 172.20.25.100:2138;rport
From: <sip:MAC%3a000413230A07@localhost>;tag=6064
To: <sip:MAC%3a000413230A07@localhost>
Call-ID: [email-masked]
CSeq: 1 SUBSCRIBE
Event: ua-profile;profile-type="device";
    vendor="snom";model="snom300";version="6.2.2"
Expires: 0
Accept: application/url
Contact: <sip:172.20.25.100:2138>
Content-Length: 0 

If there is not answer to the multicast packet after a reasonable number of retries the UA would give up and try the mechanism that are outside of the local area network. 

The rest would work as proposed in the draft and looks good to me.

Christian

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP